[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControlCanvas.Control

The Control object for which the Canvas is used.

## Declaration

Source position: controls.pp line 370

`public property TControlCanvas.Control : TControl read FControl write SetControl;`

## Description

Control is a TControl property which represents the control associated with the canvas in the class instance. Setting the value in Control causes an existing Window handle (and its device context) in the class instance to be freed. The handle and its device context are recreated (eventually) when the control is displayed.

## See also

TControl |  | The base class for visible controls.